# CheckSwitchPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CheckSwitchPhase

#### Hierarchy (View Summary)

- BattlePhase
  - CheckSwitchPhase

- Defined in src/phases/check-switch-phase.ts:12

##### Index

### Constructors

constructor

### Properties

fieldIndex
useName

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new CheckSwitchPhase(fieldIndex: number, useName: boolean): CheckSwitchPhase

  #### Parameters

  - fieldIndex: number
  - useName: boolean

  #### Returns CheckSwitchPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/check-switch-phase.ts:16

## Properties

### `Protected` fieldIndex

fieldIndex: number

- Defined in src/phases/check-switch-phase.ts:13

### `Protected` useName

useName: boolean

- Defined in src/phases/check-switch-phase.ts:14

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/check-switch-phase.ts:23